Package org.codehaus.janino

# Interface IClass.IAnnotation

Enclosing class:
  `IClass`

public static interface IClass.IAnnotation
Representation of a Java "annotation".

## Method Summary

Modifier and Type
Method
Description
`IType`
`getAnnotationType()`
`Object`
`getElementValue(String name)`
Returns the value of the named element: `Boolean` `Byte` `Character` `Double` `Float` `Integer` `Long` `Short` A primitive value `String` A string value `IClass.IField` An enum constant `IClass` A class literal `IClass.IAnnotation` An annotation `Object``[]` An array value

## Method Details

### getAnnotationType

IType getAnnotationType() throws CompileException

Returns:
  The type of the annotation
Throws:
  `CompileException`

### getElementValue

Object getElementValue(String name) throws CompileException
Returns the value of the named element:

`Boolean`
`Byte`
`Character`
`Double`
`Float`
`Integer`
`Long`
`Short`
  A primitive value
`String`
  A string value
`IClass.IField`
  An enum constant
`IClass`
  A class literal
`IClass.IAnnotation`
  An annotation
`Object``[]`
  An array value

Notice that `null` is not a valid return value.

Throws:
  `CompileException`